Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.pojos
Class ClientInformation

    java.lang.Object
      vut.msa.pojos.ClientInformation

All Implemented Interfaces:
  java.io.Serializable

    public class ClientInformation

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ClientInformation()`
`ClientInformation(Client client)`
`ClientInformation(long uptime, long memoryRAM, long memoryUsedPerc, long diskUsed, long diskTotal, int documentsCount, long documentsSize, Client client)`
`ClientInformation(SystemInformation info, Client client)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`Client` | `getClient()`
`long` | `getDiskTotal()`
`java.lang.String` | `getDiskTotalGB()`
`long` | `getDiskUsed()`
`java.lang.String` | `getDiskUsedGB()`
`int` | `getDocumentsCount()`
`long` | `getDocumentsSize()`
`java.lang.String` | `getDocumentsSizeString()`
`java.lang.String` | `getFormatedUptime()`
`short` | `getId()`
`long` | `getMemoryRAM()`
`long` | `getMemoryUsedPerc()`
`long` | `getUptime()`
`int` | `hashCode()`
`void` | `setClient(Client client)`
`void` | `setDiskTotal(long diskTotal)`
`void` | `setDiskUsed(long diskUsed)`
`void` | `setDocumentsCount(int documentsCount)`
`void` | `setDocumentsSize(long documentsSize)`
`void` | `setId(short id)`
`void` | `setMemoryRAM(long memoryRAM)`
`void` | `setMemoryUsedPerc(long memoryUsedPerc)`
`void` | `setUptime(long uptime)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientInformation

    public ClientInformation()

### ClientInformation

    public ClientInformation(Client client)

### ClientInformation

    public ClientInformation(long uptime,
                             long memoryRAM,
                             long memoryUsedPerc,
                             long diskUsed,
                             long diskTotal,
                             int documentsCount,
                             long documentsSize,
                             Client client)

### ClientInformation

    public ClientInformation(SystemInformation info,
                             Client client)
                      throws org.hyperic.sigar.SigarException

Throws:
  `org.hyperic.sigar.SigarException`

Method Detail

### getId

    public short getId()

### setId

    public void setId(short id)

### getClient

    public Client getClient()

### setClient

    public void setClient(Client client)

### getDiskTotal

    public long getDiskTotal()

### getDiskTotalGB

    public java.lang.String getDiskTotalGB()

### setDiskTotal

    public void setDiskTotal(long diskTotal)

### getDiskUsed

    public long getDiskUsed()

### getDiskUsedGB

    public java.lang.String getDiskUsedGB()

### setDiskUsed

    public void setDiskUsed(long diskUsed)

### getDocumentsCount

    public int getDocumentsCount()

### setDocumentsCount

    public void setDocumentsCount(int documentsCount)

### getDocumentsSize

    public long getDocumentsSize()

### getDocumentsSizeString

    public java.lang.String getDocumentsSizeString()

### setDocumentsSize

    public void setDocumentsSize(long documentsSize)

### getMemoryRAM

    public long getMemoryRAM()

### setMemoryRAM

    public void setMemoryRAM(long memoryRAM)

### getMemoryUsedPerc

    public long getMemoryUsedPerc()

### setMemoryUsedPerc

    public void setMemoryUsedPerc(long memoryUsedPerc)

### getUptime

    public long getUptime()

### getFormatedUptime

    public java.lang.String getFormatedUptime()

### setUptime

    public void setUptime(long uptime)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD